summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2020-10-01 20:03:11 +0200
committer Willy Sudiarto Raharjo2020-10-03 04:01:42 +0200
commit880f42641e0a11b722405037900da73fa1baa8db (patch)
treeab284915d63f25dfd9f82f1a0e8b6e0ec92042aa
parentdee654060638e2d454864ec4300590a92e769434 (diff)
downloadslackbuilds-880f42641e0a11b722405037900da73fa1baa8db.tar.gz
desktop/salmon: Added (afterstep-style load monitor applet)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/salmon/README11
-rw-r--r--desktop/salmon/missing.h12
-rw-r--r--desktop/salmon/salmon.SlackBuild85
-rw-r--r--desktop/salmon/salmon.info10
-rw-r--r--desktop/salmon/slack-desc19
5 files changed, 137 insertions, 0 deletions
diff --git a/desktop/salmon/README b/desktop/salmon/README
new file mode 100644
index 0000000000..97bc5d95df
--- /dev/null
+++ b/desktop/salmon/README
@@ -0,0 +1,11 @@
+salmon (afterstep-style load monitor applet)
+
+A resource utilization monitor that can display the current load
+averages, the amount of free or used memory and swap space, memory
+in cache, buffers, and shared, number of processes, the load split
+between user, nice, system, and idle, the uptime, the current local
+time, the current universal time, the name of the local host and the
+phase of the moon.
+
+Although salmon was designed for use with AfterStep and WindowMaker,
+it works fine in other environments.
diff --git a/desktop/salmon/missing.h b/desktop/salmon/missing.h
new file mode 100644
index 0000000000..eab4167d68
--- /dev/null
+++ b/desktop/salmon/missing.h
@@ -0,0 +1,12 @@
+/* headers that should have been included by various salmon
+ source files. */
+#include <time.h>
+#include <ctype.h>
+#include <string.h>
+#include <sys/types.h>
+#include <sys/wait.h>
+
+/* prototypes for salmon's internal functions. these really
+ should have been included in the source... */
+void get_phase(time_t the_time, char char_buf[20]);
+void open_meminfo(void);
diff --git a/desktop/salmon/salmon.SlackBuild b/desktop/salmon/salmon.SlackBuild
new file mode 100644
index 0000000000..8c2cb82bc8
--- /dev/null
+++ b/desktop/salmon/salmon.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for salmon
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=salmon
+VERSION=${VERSION:-1.2.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# According to MLanden on IRC (and the man page for gethostname), it's
+# checking for the wrong error.
+sed -i 's,EINPROGRESS,ENAMETOOLONG,' salmon_x.c
+
+# One way to include missing headers and prototypes.
+SLKCFLAGS+=" -include $CWD/missing.h"
+
+# --docdir not supported (or needed).
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+
+# DESTDIR not supported, it's only 2 files, do it manually.
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1 $PKG/usr/doc/$PRGNAM-$VERSION
+install -s -m0755 $PRGNAM $PKG/usr/bin
+gzip -9c < $PRGNAM.man > $PKG/usr/man/man1/$PRGNAM.1x.gz
+
+cp -a CHANGES COPYING LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/salmon/salmon.info b/desktop/salmon/salmon.info
new file mode 100644
index 0000000000..f699b9bd7f
--- /dev/null
+++ b/desktop/salmon/salmon.info
@@ -0,0 +1,10 @@
+PRGNAM="salmon"
+VERSION="1.2.2"
+HOMEPAGE="http://tigr.net/afterstep/download/salmon/README"
+DOWNLOAD="http://tigr.net/afterstep/download/salmon/salmon-1.2.2.tar.gz"
+MD5SUM="02725f0b035463ad089a189f1e7d62ed"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/desktop/salmon/slack-desc b/desktop/salmon/slack-desc
new file mode 100644
index 0000000000..67d18cb3ea
--- /dev/null
+++ b/desktop/salmon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+salmon: salmon (afterstep-style load monitor applet)
+salmon:
+salmon: A resource utilization monitor that can display the current load
+salmon: averages, the amount of free or used memory and swap space, memory
+salmon: in cache, buffers, and shared, number of processes, the load split
+salmon: between user, nice, system, and idle, the uptime, the current local
+salmon: time, the current universal time, the name of the local host and the
+salmon: phase of the moon.
+salmon:
+salmon:
+salmon: